# Ansible 2.9
#
# Author: Ongres SL
#
# Objective: Install postgres-ai checker
#
# Run:
#
# The tasks in this playbook are invoked from show_slave_status.yml
#
---
- name: Search checkup
  shell: "find ./replica_collect/postgres-checkup -name checkup -executable -type f 2> /dev/null"
  args:
    executable: /bin/bash
  register: exists
  ignore_errors: yes
  tags: [finder]

#- name: Set ansible python venv interpreter
#  set_fact:
#    #ansible_python_default_interpreter: "{{ ansible_python_interpreter }}"
#    #ansible_python_interpreter: "{{ venv_dir }}/bin/python"
#    ansible_python_interpreter: "../venv/bin/python"
#  register: fact
#  when: exists.stdout == ''
#
#- name: Install requirements
#  become: true
#  become_user: root
#  package:
#    name: "{{ item }}"
#    state: installed
#  #yum:
#  #  name: "{{ item }}"
#  #  state: present
#  with_items:
#    - git
#    - postgresql
#    - coreutils
#    - jq
#    - golang
#  register: installed
#  when:
#    #- ansible_os_family == "Debian" or ansible_os_family == "RedHat"
#    - ansible_os_family == "RedHat"
#    - exists.stdout == ''
#    - fact is succeeded
#  #ignore_errors: yes
#  tags: [pack]
 
#- name: debug
#  debug: var=installed

- name: Clone repo
  git:
    repo: https://gitlab.com/postgres-ai/postgres-checkup.git
    dest: ./replica_collect/postgres-checkup
  when: 
#    - installed.msg == 'All items completed'
    - exists.stdout == ''
  register: cloned
  tags: [clone]

#- name: Restore ansible python interpreter
#  set_fact:
#    ansible_python_interpreter: "{{ ansible_python_default_interpreter }}"


- name: build bin directory
  delegate_to: localhost
  shell: "cd ./replica_collect/postgres-checkup/pghrep && make all"
